## gmysqlcc 0.3.0

=== debian/changelog ===
gmysqlcc (0.3.0-6) unstable; urgency=medium

  * Update libmysqlclient B-D (Closes: #845846)

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 02 Dec 2016 19:52:43 -0600

gmysqlcc (0.3.0-5) unstable; urgency=medium

  * Update libmysqlclient B-D (Closes: #790451)
  * Update Suggest field to use virtual-mysql-server or 
    mariadb-server (Closes: #781977)

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 29 Jul 2015 20:52:00 -0600

gmysqlcc (0.3.0-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
   - Remove README.Source 
   - Remove quilt from B-D and debian/rules quilt logic
  * fix FTBFS with clang (Closes: #750365)
    - thanks to Arthur Marble <arthur@info9.net>
  * Add header to all patches
  * Update standars version to 3.9.5 (No changes need it)
  * Set debhelper to 9 on B-D
    - Update compat level to 9 

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 29 Aug 2014 11:08:27 -0600

gmysqlcc (0.3.0-3) unstable; urgency=low

  * debian/control
   + Update my email address
   + Update homepage (Closes: #680597)
   + Fix Grammar on Description (Closes: #687229)
  * debian/rules - change autoreconf options, (Closes: #724913)
    thanks to Hideki for the patch. 

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 18 Nov 2013 17:14:35 -0600

gmysqlcc (0.3.0-2) unstable; urgency=low

  * Set standards-version to 3.8.0
    + Add README.source
  * debian/control 
    + set Suggest to mysql-server instead mysql-server-5.0
    + fix tons of typos 
    + Add autoconf and automake to B-D
    + Set compat level to 7
  * debian/rules
    + Remove noopt catch and CFLAGS dpkg-buildpackage can do the job
    + add workaround to override auto-generated files from autoreconf
    + use dh_prep instead of dh_ckean -k
  * debian/copyright 
    + fix a small typo, thanks goes to Josue Abarca Closes: #493890
    + update Upstream URL
    + clarify version for packaging license
  * debian/gmysqlcc.1 - remove line about db2man.xsl
  * debian/menu - Use capitalised name, same as the desktop file
  * debian/patches
     + dont_override_cflags.patch - Don't override cflags
       thanks to Ben Hutchings

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 23 Sep 2008 21:18:17 -0600

gmysqlcc (0.3.0-1) unstable; urgency=low

  * New upstream release
    Improve UTF-8 Support ( Closes: #457140)
  * Move compat level to 6
  * Set standards-version to 3.7.3 (No changes needed)
  * Add libgtksourceview2.0-dev to Build-Dep and compile with
    --with-gtksourceview to make syntax highlight available
  * Add a simple patch to .desktop file
  
 -- Rene Mayorga <rmayorga@debian.org.sv>  Fri, 29 Feb 2008 17:24:01 -0600

gmysqlcc (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #344594)

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 25 Jul 2007 16:29:32 -0600
