=== debian/control ===
Source: gmysqlcc
Section: misc
Priority: optional
Maintainer: Rene Mayorga <rmayorga@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, 
 libgtk2.0-dev, default-libmysqlclient-dev, libgtksourceview2.0-dev, 
 autoconf, automake
Standards-Version: 3.9.5
Homepage: http://gmysqlcc.thepozer.net/

Package: gmysqlcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mariadb-server | virtual-mysql-server
Description: graphical client for managing MySQL databases
 GTK+ based client for MySQL which allows one to make queries and performs
 administrative jobs such as manage users, process, structures, data dumps
 and more.
