=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#include /usr/share/quilt/quilt.make

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
          INSTALL_PROGRAM += -s
endif


config.status: configure
	dh_testdir
	# Preserve original files
	-cp -v $(CURDIR)/configure $(CURDIR)/gmysqlcc-orig-configure
	-cp -v $(CURDIR)/Makefile.in $(CURDIR)/gmysqlcc-orig-Makefile.in
	-cp -v $(CURDIR)/aclocal.m4 $(CURDIR)/gmysqlcc-orig-aclocal.m4
	-cp -v $(CURDIR)/src/Makefile.in $(CURDIR)/src/gmysqlcc-orig-Makefile.in
	-cp -v $(CURDIR)/data/Makefile.in $(CURDIR)/data/gmysqlcc-orig-Makefile.in
	-cp -v $(CURDIR)/mkinstalldirs $(CURDIR)/mkinstalldirs.orig
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"  --with-gtksourceview 


build: build-stamp

build-stamp:   config.status
	dh_testdir
	autoreconf -fi
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	# Override auto-generated files with original files 
	# if the package is built two times in a row keep .diff.gz clean
	-mv -v $(CURDIR)/gmysqlcc-orig-configure $(CURDIR)/configure
	-mv -v $(CURDIR)/gmysqlcc-orig-Makefile.in $(CURDIR)/Makefile.in
	-mv -v $(CURDIR)/gmysqlcc-orig-aclocal.m4 $(CURDIR)/aclocal.m4
	-mv -v $(CURDIR)/src/gmysqlcc-orig-Makefile.in $(CURDIR)/src/Makefile.in
	-mv -v $(CURDIR)/data/gmysqlcc-orig-Makefile.in $(CURDIR)/data/Makefile.in
	-mv -v $(CURDIR)/mkinstalldirs.orig $(CURDIR)/mkinstalldirs
	dh_clean build-stamp config.sub config.guess

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/gmysqlcc install
	rm -r $(CURDIR)/debian/gmysqlcc/usr/doc

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installman $(CURDIR)/debian/gmysqlcc.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
