=== debian/watch ===
version=3
http://ftp.thepozer.org/gmysqlcc/gmysqlcc-(.*)\.tar\.gz
